<?php
/**
*	This module is free software. You can redistribute it and/or modify it 
*	under the terms of the GNU General Public License  - version 2 or later, 
*	as published by the Free Software Foundation: http://www.gnu.org/licenses/gpl.html.
*
*	This module is distributed in the hope that it will be useful, 
*	but WITHOUT ANY WARRANTY; without even the implied warranty of 
*	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
*	GNU General Public License for more details.
*
*	@version	0.16
*	@date		2008-09-28
*	@author		Ruud - http://forum.websitebaker2.org/index.php?action=profile;u=7276
*	@package	Websitebaker - Modul: Page Tags
*
**/


// prevent this file from being accessed directly
if(!defined('WB_PATH')) die(header('Location: index.php'));  

// delete existing module DB-table (start with a clean database)
$database->query("DROP TABLE IF EXISTS `" .TABLE_PREFIX ."mod_tags_names`");
$database->query("DROP TABLE IF EXISTS `" .TABLE_PREFIX ."mod_tags`");
$database->query("DROP TABLE IF EXISTS `" .TABLE_PREFIX ."mod_tags_config`");

// create a new, clean module DB-table (you need to change the fields added according your needs!!!)
$mod_create_table = 'CREATE TABLE `' .TABLE_PREFIX .'mod_tags_names` ( '
	. '`tag_id` INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,'
	. '`tag_name` VARCHAR(45) NOT NULL DEFAULT \'\','
	. '`level` INTEGER UNSIGNED NOT NULL DEFAULT \'0\','
	. 'PRIMARY KEY (tag_id)'
	. ' )';
$database->query($mod_create_table);

$mod_create_table2 = 'CREATE TABLE `' .TABLE_PREFIX .'mod_tags` ( '
	. '`id` INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,'
	. '`tag_id` INTEGER UNSIGNED NOT NULL,'
	. '`page_id` INTEGER UNSIGNED NOT NULL,'
	. 'PRIMARY KEY (`id`),'
	. 'INDEX `tags_pages`(`tag_id`),'
	. 'INDEX `pages_tags`(`page_id`)'
	. ' )';
$database->query($mod_create_table2);

$database->query("DROP TABLE IF EXISTS `".TABLE_PREFIX."mod_tags_config`");
$mod_create_table3 = 'CREATE TABLE `'.TABLE_PREFIX.'mod_tags_config` ( '
	. ' `section_id` int(11) NOT NULL DEFAULT \'0\','
	. ' `page_id` int(11) NOT NULL DEFAULT \'0\','
	. ' `show_tags` int(1) NOT NULL DEFAULT \'1\','
	. ' `show_all` int(1) NOT NULL DEFAULT \'0\','
	. ' PRIMARY KEY ( `section_id` ) )'
	. ' ';
$database->query($mod_create_table3);
?>