<?php
/**
*	This module is free software. You can redistribute it and/or modify it 
*	under the terms of the GNU General Public License  - version 2 or later, 
*	as published by the Free Software Foundation: http://www.gnu.org/licenses/gpl.html.
*
*	This module is distributed in the hope that it will be useful, 
*	but WITHOUT ANY WARRANTY; without even the implied warranty of 
*	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
*	GNU General Public License for more details.
*
*	@version	0.16
*	@date		2008-09-28
*	@author		Ruud - http://forum.websitebaker2.org/index.php?action=profile;u=7276
*	@package	Websitebaker - Modul: Page Tags
*
**/

// prevent this file from being accessed directly
if(!defined('WB_PATH')) die(header('Location: index.php'));  

// include core functions of WB 2.7 to edit the optional module CSS files (frontend.css, backend.css)
@include_once(WB_PATH .'/framework/module.functions.php');

// Look for language file
require_once(WB_PATH.'/modules/tags/languages/EN.php');
if(file_exists(WB_PATH.'/modules/tags/languages/'.LANGUAGE.'.php')) {
	require_once(WB_PATH.'/modules/tags/languages/'.LANGUAGE.'.php');
}

// check if backend.css file needs to be included into the <body></body> of modify.php
if(!method_exists($admin, 'register_backend_modfiles') && file_exists(WB_PATH .'/modules/tags/backend.css')) {
	echo '<style type="text/css">';
	include(WB_PATH .'/modules/tags/backend.css');
	echo "\n</style>\n";
}


// obtain data from module DB-table of the current displayed page (unique page defined via section_id)

$query_settings = $database->query("SELECT * FROM ".TABLE_PREFIX."mod_tags_config WHERE section_id = '$section_id'");
$settings = $query_settings->fetchRow();

$the_tags = array();
$result = $database->query("SELECT * FROM `" .TABLE_PREFIX ."mod_tags` WHERE `page_id` = '$page_id'");
if ($result && $result->numRows() > 0) {
	while($tag = $result->fetchRow()){
		array_push($the_tags ,$tag['tag_id']);
	}
}

$la_opt = "";
$lb_opt = "";
$result = $database->query("SELECT * FROM `" .TABLE_PREFIX ."mod_tags_names`");
if ($result && $result->numRows() > 0) {
	while($tag = $result->fetchRow()){
		$this_tag = htmlspecialchars($tag['tag_name']);
		$this_tag_id = $tag['tag_id'];
		$value = "";
		if(in_array($this_tag_id,$the_tags))
			$value = " checked";
		if ($tag['level'] == '0')
			$la_opt .= "<input type='checkbox' name='tag_id_$this_tag_id' $value>$this_tag ";
		else
			$lb_opt .= "<input type='checkbox' name='tag_id_$this_tag_id' $value>$this_tag ";
	}
}


echo '<hr><h2>'.$MOD_TAGS['TXT_TAGS_B'].'</h2>';
?>  
	<form name="edit" action="<?php echo WB_URL; ?>/modules/tags/save.php" method="post" style="margin: 0;">
	<input type="hidden" name="page_id" value="<?php echo $page_id; ?>">
	<input type="hidden" name="section_id" value="<?php echo $section_id; ?>">
	<table class="mod_tags_table" cellpadding="2" cellspacing="2" border="0" width="100%">
		<tr>
			<td width="200" nowrap valign="top">&nbsp;</td>
			<td valign="top"><input type="button" onclick="javascript: window.location = '<?php echo WB_URL; ?>/modules/tags/modify_tags.php?page_id=<?php echo $page_id; ?>&amp;section_id=<?php echo $section_id; ?>';" value="<?php echo $MOD_TAGS['TXT_MAINTAIN_B']; ?>" /></td>
		</tr>
		<tr>
			<td valign="top"><?php echo $MOD_TAGS['TXT_CURRENTA_B'] ?></td>
			<td valign="top" style="border:1px solid black;"><?php echo $la_opt; ?></td>
		</tr>
		<tr>
			<td valign="top"><?php echo $MOD_TAGS['TXT_CURRENTB_B'] ?></td>
			<td valign="top" style="border:1px solid black;"><?php echo $lb_opt; ?></td>
		</tr>
		<tr>
			<td valign="top"><?php echo $MOD_TAGS['TXT_SHOW_B'] ?></td>
			<td valign="top"><input type="checkbox" name="show_tags" <?php if($settings['show_tags']==1) echo 'checked'; ?>/></td>
		</tr>
		<tr>
			<td valign="top"><?php echo $MOD_TAGS['TXT_SHOWALL_B'] ?></td>
			<td valign="top"><input type="checkbox" name="show_all" <?php if($settings['show_all']==1) echo 'checked'; ?>/></td>
		</tr>
		</table>

		<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr>
			<td align="left">
				<input name="save" type="submit" value="<?php echo $TEXT['SAVE']; ?>" style="width: 100px; margin-top: 5px;">
			</td>
			<td align="right">
				<input type="button" value="<?php echo $TEXT['CANCEL']; ?>" onclick="javascript: window.location = '<?php echo ADMIN_URL; ?>/pages/index.php'; return false;" style="width: 100px; margin-top: 5px;" />
			</td>
		</tr>
	</table>
	</form>
	<hr>

