<?php
/**
*	This module is free software. You can redistribute it and/or modify it 
*	under the terms of the GNU General Public License  - version 2 or later, 
*	as published by the Free Software Foundation: http://www.gnu.org/licenses/gpl.html.
*
*	This module is distributed in the hope that it will be useful,
*	but WITHOUT ANY WARRANTY; without even the implied warranty of 
*	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*	GNU General Public License for more details.
*
*	@version	0.16
*	@date		2008-09-28
*	@author		Ruud - http://forum.websitebaker2.org/index.php?action=profile;u=7276
*	@package	Websitebaker - Modul: Page Tags
*
**/

// prevent this file from being accessed directly
if(!defined('WB_PATH')) die(header('Location: index.php'));  

// Look for language file

require_once(WB_PATH.'/modules/tags/languages/EN.php');
if(file_exists(WB_PATH.'/modules/tags/languages/'.LANGUAGE.'.php')) {
	require_once(WB_PATH.'/modules/tags/languages/'.LANGUAGE.'.php');
}

// check if frontend.css file needs to be included into the <body></body> of view.php
if (!function_exists('register_frontend_modfiles') && file_exists(WB_PATH .'/modules/tags/frontend.css')) {
	echo '<style type="text/css">';
  include(WB_PATH .'/modules/tags/frontend.css');
  echo "\n</style>\n";
} 

$query_settings = $database->query("SELECT * FROM ".TABLE_PREFIX."mod_tags_config WHERE section_id = '$section_id'");
$settings = $query_settings->fetchRow();
$show_all = ($settings['show_all'] == 1 ? true : false );
if ($settings['show_tags'] == 1 || $show_all) {
	?>
	<script type="text/javascript">
	<!--
	function toggle_visibility(id) {
		var e = document.getElementById(id);
		if(e.style.display == 'block')
			e.style.display = 'none';
		else {
	  		var alldiv = document.getElementsByTagName('ul');
		 	for(var i=0; i<alldiv.length; i++){
	 			if( alldiv[i].className == 'tagslist' ) 
		     		alldiv[i].style.display = 'none';
		 	}
			e.style.display = 'block';
		}
	}
	//-->
	</script>
	<?php


	//build query with level 0 items to get all page_id's that are valid
	$q = "";
	$level_0_list = "";
	$result = $database->query("SELECT * FROM `" .TABLE_PREFIX ."mod_tags` t left join " .TABLE_PREFIX ."mod_tags_names n on (t.tag_id = n.tag_id) WHERE `page_id` = '$page_id' AND n.level = 0");
	while($tag = $result->fetchRow()){  // level 0 loop
		if ($q != "") $q .= " OR ";
		$q .= "`tag_id` = ".$tag['tag_id'];
		$level_0_list .= "'".$tag['tag_name'] ."' ";
	}
	//----

	// Get page_id's with the same level 0 items, put them in an array
	$page_array = Array();
	$result = $database->query("SELECT DISTINCT `page_id` from `" .TABLE_PREFIX ."mod_tags` WHERE " . $q);
	if ($result && $result->numRows() > 0) {
		while($tag = $result->fetchRow()){  // level 0 loop
			if ($tag['page_id'] != $page_id) {
				array_push($page_array,$tag['page_id']);
			}
		}
	}
	//----


	// query level 1 items
	if ($show_all)
		//$result = $database->query("SELECT * FROM `" .TABLE_PREFIX ."mod_tags` t left join " .TABLE_PREFIX ."mod_tags_names n on (t.tag_id = n.tag_id) WHERE n.level = 1");
		$result = $database->query("SELECT * FROM `" .TABLE_PREFIX ."mod_tags_names` where `level` = 1 ");
	else	
		$result = $database->query("SELECT * FROM `" .TABLE_PREFIX ."mod_tags` t left join `" .TABLE_PREFIX ."mod_tags_names` n on (t.tag_id = n.tag_id) WHERE `page_id` = '$page_id' AND n.level = 1");
	
	
	if ($result && $result->numRows() > 0) {
		$full = "";
		$display = false;
		if ($show_all) {
			$full .= "<div class=\"taglist\"><h3>".$MOD_TAGS['TXT_ALL']."</h3>\n";
		} else {
			$full .= "<div class=\"taglist\"><h3>".$MOD_TAGS['TXT_MORE']."</h3>\n";
			//$full .= "<h4>".$level_0_list."</h4>\n";  // Debugging - Need to know what groups are selected
		}
		while($tag = $result->fetchRow()){  // level 1 loop
			$tag_id = $tag['tag_id'];
			$tag_details = $database->query("SELECT * FROM " .TABLE_PREFIX ."mod_tags t left join " .TABLE_PREFIX ."mod_tags_names n on (t.tag_id = n.tag_id) left join " .TABLE_PREFIX ."pages p on (t.page_id = p.page_id) where t.tag_id = '$tag_id' order by p.page_id" );
			$count_rows = $tag_details->numRows();
			$items = 0;
			if ($count_rows > 0) {
				$first_row = $tag_details->fetchRow();
				$tag_name = $first_row['tag_name'];
				$page_link = $wb->page_link($first_row['link']);
				$block = "\t<ul class=\"tagslist\" id=\"taglist_$tag_id\" style=\"display:none;\">\n";
				$page_title = $first_row['menu_title'];
				$this_page = $first_row['page_id'];
				$show_this = in_array($this_page,$page_array,false);
				if ($show_this || $show_all) {
					$block .= "\t\t<li><a href=\"$page_link\">$page_title</a></li>\n";
					$items++;
				}
				while($next_rows = $tag_details->fetchRow()){
					$this_page = $next_rows['page_id'];
					$show_this = in_array($this_page,$page_array,false);
					if ($show_this || $show_all) {
						$page_link = $wb->page_link($next_rows['link']);
						$page_title = $next_rows['menu_title'];
						$block .= "\t\t<li><a href=\"$page_link\">$page_title</a></li>\n";
						$items++;
					}
				}
				$block .= "\t</ul>\n";
				$block = "\t<a href=\"javascript:toggle_visibility('taglist_$tag_id')\">$tag_name ($items)</a><br/>\n" . $block;
				if ($items > 0) {
				  $full .= $block;
				  $display = true;
				}
			}
		}
		$full .= "</div>";
		if ($display) echo $full;
	}
}
?>