<?php
/**
*	This module is free software. You can redistribute it and/or modify it 
*	under the terms of the GNU General Public License  - version 2 or later, 
*	as published by the Free Software Foundation: http://www.gnu.org/licenses/gpl.html.
*
*	This module is distributed in the hope that it will be useful, 
*	but WITHOUT ANY WARRANTY; without even the implied warranty of 
*	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
*	GNU General Public License for more details.
*
*	@version	0.16
*	@date		2008-09-28
*	@author		Ruud - http://forum.websitebaker2.org/index.php?action=profile;u=7276
*	@package	Websitebaker - Modul: Page Tags
*
**/


require('../../config.php');

// Include WB admin wrapper script
require(WB_PATH.'/modules/admin.php');

// Look for language file
require_once(WB_PATH.'/modules/tags/languages/EN.php');
if(file_exists(WB_PATH.'/modules/tags/languages/'.LANGUAGE.'.php')) {
	require_once(WB_PATH.'/modules/tags/languages/'.LANGUAGE.'.php');
}

// prevent this file from being accessed directly
if(!defined('WB_PATH')) die(header('Location: index.php'));  

// check if backend.css file needs to be included into the <body></body> of modify.php
if(!method_exists($admin, 'register_backend_modfiles') && file_exists(WB_PATH .'/modules/tags/backend.css')) {
	echo '<style type="text/css">';
	include(WB_PATH .'/modules/tags/backend.css');
	echo "\n</style>\n";
}

if ($admin->get_post('add')) {
	$new_tag = $admin->get_post('new_tag');
	$new_tag = strip_tags($new_tag);
	$new_tag = $admin->add_slashes($new_tag);
	$level = $admin->get_post('level');
	if ($new_tag != '') {
		$test = $database->query("SELECT * FROM `" .TABLE_PREFIX ."mod_tags_names` WHERE `tag_name` = $new_tag and level = $level");
		if (!$test || $test->numRows() == 0) {
			$database->query("INSERT INTO `" .TABLE_PREFIX ."mod_tags_names` (`tag_name`,`level`) VALUES ('$new_tag','$level')");
		}
	}
}

if ($admin->get_post('rename')) {
	$tag_id = $admin->get_post('orgtag');
	$new_tag = $admin->get_post('new_tagname');
	$new_tag = strip_tags($new_tag);
	$new_tag = $admin->add_slashes($new_tag);
	if ($new_tag != '' && $tag_id != '') {
		$database->query("UPDATE `" .TABLE_PREFIX ."mod_tags_names` SET `tag_name` = '$new_tag' WHERE `tag_id` = '$tag_id'");
	}
}

if ($admin->get_post('delete')) {
	//build array with tag_id's
	$tag_array = array();
	$result = $database->query("SELECT `tag_id` FROM `" .TABLE_PREFIX ."mod_tags_names`");
	if ($result && $result->numRows() > 0) {
		while($tag = $result->fetchRow()){
			array_push($tag_array,$tag['tag_id']);
		}
	}
	foreach ($tag_array as $tag_id) {
		if ($admin->get_post('tag_id_'.$tag_id)) {
			$database->query("DELETE FROM `" .TABLE_PREFIX ."mod_tags` WHERE `tag_id` = '$tag_id'");
			$database->query("DELETE FROM `" .TABLE_PREFIX ."mod_tags_names` WHERE `tag_id` = '$tag_id'");
		}
	}
}
	
$la_opt = "";
$lb_opt = "";
$optlista = "";
$optlistb = "";
$result = $database->query("SELECT * FROM `" .TABLE_PREFIX ."mod_tags_names`");
if ($result && $result->numRows() > 0) {
	while($tag = $result->fetchRow()){
		$this_tag = htmlspecialchars($tag['tag_name']);
		$this_tag_id = $tag['tag_id'];
		if ($tag['level'] == '0') {
			$la_opt .= "<input type='checkbox' name='tag_id_$this_tag_id' $value>$this_tag <br/>\n";
			$optlista .= "<option value=\"$this_tag_id\">$this_tag - (".$MOD_TAGS['TXT_LEVELA_B'].")</option>\n";
		} else {
			$lb_opt .= "<input type='checkbox' name='tag_id_$this_tag_id' $value>$this_tag <br/>\n";
			$optlistb .= "<option value=\"$this_tag_id\">$this_tag - (".$MOD_TAGS['TXT_LEVELB_B'].")</option>\n";
		}
	}
}


?>
	<hr><h2><?php echo $MOD_TAGS['TXT_TAGSADD_B']?></h2>
	<form name="edit" action="<?php echo WB_URL; ?>/modules/tags/modify_tags.php" method="post" style="margin: 0;">
	<input type="hidden" name="page_id" value="<?php echo $page_id; ?>">
	<input type="hidden" name="section_id" value="<?php echo $section_id; ?>">
	<table class="mod_tags_table" cellpadding="2" cellspacing="2" border="0" width="100%">
		<tr>
			<td width="200" nowrap valign="top"><?php echo $MOD_TAGS['TXT_NEW_B'] ?></td>
			<td WIDTH="200" valign="top" ><input style="width: 200px;" name="new_tag" type="text" value=""></td>
			<td valign="top" ><select name=level><option value="0"><?php echo $MOD_TAGS['TXT_LEVELA_B'] ?></option><option value="1"><?php echo $MOD_TAGS['TXT_LEVELB_B'] ?></option></select></td>
		</tr>
		<tr>
			<td colspan="3" align="right">
				<input name="add" type="submit" value="<?php echo $MOD_TAGS['TXT_BUTTADD_B'] ?>" style="margin-top: 5px;">
			</td>
		</tr>
	</table>
	<hr><h2><?php echo $MOD_TAGS['TXT_TAGSREN_B']?></h2>
	<table class="mod_tags_table" cellpadding="2" cellspacing="2" border="0" width="100%">
		<tr>
			<td width="200" valign="top"><?php echo $MOD_TAGS['TXT_RENAME_B'] ?></td>
			<td valign="top"><select name="orgtag"><?php echo $optlista.$optlistb; ?></select></td>
			<td valign="top"><?php echo $MOD_TAGS['TXT_NEWNAME_B'] ?></td>
			<td align="right" valign="top"><input style="width: 200px;" name="new_tagname" type="text" value=""> </td>
		</tr>
		<tr>
			<td colspan="4" align="right">
				<input name="rename" type="submit" value="<?php echo $MOD_TAGS['TXT_BUTTREN_B'] ?>" style="margin-top: 5px;">
			</td>
		</tr>
	</table>
	<hr><h2><?php echo $MOD_TAGS['TXT_TAGSDEL_B']?></h2>
	<table class="mod_tags_table" cellpadding="2" cellspacing="2" border="0" width="100%">
		<tr>
			<td width="200" valign="top"><?php echo $MOD_TAGS['TXT_DELETEA_B'] ?></td>
			<td valign="top"><?php echo $la_opt; ?></td>
		</tr>
		<tr>
			<td valign="top"><?php echo $MOD_TAGS['TXT_DELETEB_B'] ?></td>
			<td valign="top"><?php echo $lb_opt; ?></td>
		</tr>
		<tr>
			<td colspan="2" align="right">
				<input name="delete" type="submit" value="<?php echo $MOD_TAGS['TXT_BUTTDEL_B'] ?>" style="margin-top: 5px;">
			</td>
		</tr>
	</table>
	<hr>
	<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr>
			<td align="right">
				<input type="button" value="Back" onclick="javascript: window.location = '<?php echo ADMIN_URL; ?>/pages/modify.php?page_id=<?php echo $page_id; ?>'; return false;" style="width: 100px; margin-top: 5px;" />
			</td>
		</tr>
	</table>
	</form>
	<hr>

